package org.maachang.jni.io;

/**
 * ファイルが存在しない場合の例外.
 * 
 * @version 2010/06/04
 * @author  masahito suzuki
 * @since   SeabassNativeIO-1.0.0
 */
public class NotFileException extends IllegalArgumentException {
    private static final long serialVersionUID = 9014731861400662675L;
    public NotFileException() {
        super() ;
    }
    public NotFileException(String s) {
        super( s ) ;
    }
    public NotFileException(String message, Throwable cause) {
        super( message,cause ) ;
    }
    public NotFileException(Throwable cause) {
        super( cause ) ;
    }
}
